Get Peer Card
curl --request GET \
--url https://api.honcho.dev/v3/workspaces/{workspace_id}/peers/{peer_id}/card \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.honcho.dev/v3/workspaces/{workspace_id}/peers/{peer_id}/card"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.honcho.dev/v3/workspaces/{workspace_id}/peers/{peer_id}/card', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"peer_card": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}peers
Get Peer Card
Get a peer card for a specific peer relationship.
Returns the peer card that the observer peer has for the target peer if it exists. If no target is specified, returns the observer’s own peer card.
GET
/
v3
/
workspaces
/
{workspace_id}
/
peers
/
{peer_id}
/
card
Get Peer Card
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Optional target peer to retrieve a card for, from the observer's perspective. If not provided, returns the observer's own card
Response
Successful Response
The peer card content, or None if not found
Was this page helpful?
⌘I